# Knative Bookstore Code Samples

This folder contains code samples for the Knative Bookstore tutorial, an end-to-end sample application demonstrating Knative's capabilities in building an event-driven architecture.

## Tutorial

For a comprehensive guide on building this application and learning about Knative, please visit the [Knative Bookstore Tutorial](https://knative.dev/docs/bookstore/page-0/welcome-knative-bookstore-tutorial/).

This tutorial covers:
- Setting up your environment
- Implementing event-driven architecture with Knative
- Deploying and connecting various microservices
- Integrating machine learning models
- Connecting to external services like Slack

Whether you're new to Knative or looking to deepen your understanding, this tutorial provides valuable insights into building scalable, event-driven applications.

## Contents

The files are organized into two main folders:

1. **/start**: Contains the initial code structure and base files to begin the tutorial.

2. **/solution**: Includes the complete, fully implemented version of the Knative Bookstore application.

For more details on the directory structure and contents of each folder, please refer to their respective README files:

- [Start README](start/README.md)
- [Solution README](solution/README.md)

## Getting Started

1. Clone this repository
2. Navigate to the `/start` directory to begin the tutorial
3. Follow the Knative Bookstore Tutorial for step-by-step instructions
4. Refer to the `/solution` directory if you need to check the final implementation

Happy coding!
