# Knative Bookstore Tutorial - Start Directory

Welcome to the starting point of the Knative Bookstore tutorial. This directory contains the initial setup and base files for building your event-driven bookstore application using Knative.

## Directory Structure

Here's an overview of the components you'll be working with:

- `db-service/`: Database service for storing book reviews and comments
- `frontend/`: User interface for the bookstore application built with Next.js
- `node-server/`: Node.js server for handling backend operations
- `sequence/`: Knative Sequence setup for orchestrating workflows
- `slack-sink/`: Integration with Slack for notifications with Apache Camel
- `setup.sh`: Script for setting up the required services including installing Knative, frontend, and backend node-server
## Getting Started

1. Familiarize yourself with the directory structure above.
2. Each subdirectory contains starter code and placeholders for the services you'll be building.
3. Follow the [Knative Bookstore Tutorial](https://knative.dev/docs/bookstore/page-0/welcome-knative-bookstore-tutorial/) for step-by-step instructions on how to implement each component.
4. As you progress through the tutorial, you'll be adding code and configurations to these directories.

Remember, this is just the starting point. By the end of the tutorial, you'll have a fully functional event-driven bookstore application.

## Need Help?

If you encounter any issues or have questions, refer to the main tutorial documentation or reach out to the Knative community for support.
